Bug 1714357 - It is now not possible to search by value of certain parameter
Summary: It is now not possible to search by value of certain parameter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Parameters
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Peter Dragun
URL:
Whiteboard:
: 1725686 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-27 20:28 UTC by Jan Hutař
Modified: 2020-04-30 12:29 UTC (History)
7 users (show)

Fixed In Version: foreman-1.22.0.21-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26936 0 Normal Closed Bring back a search of hosts by value of parameter 2020-12-17 08:54:03 UTC

Description Jan Hutař 2019-05-27 20:28:37 UTC
Description of problem:
It is now not possible to search host by value of certain parameter


Version-Release number of selected component (if applicable):
satellite-6.6.0-5.beta.el7sat.noarch (snap 4)


How reproducible:
always


Steps to Reproduce:
1. Have a host with parameter:
     Name: wrhSWlGmTG
     Type: string
     Value: yNQdKtCqYD
2. Attempt to search for that host on Hosts -> All Hosts with query
   "params.wrhSWlGmTG = yNQdKtCqYD"


Actual results:
Error shown:
    Field 'params.wrhSWlGmTG' not recognized for searching!


Expected results:
Search should work


Additional info:
Also mentioned here: https://community.theforeman.org/t/api-search-host-parameter-value/14032

Marking as a regression as according to tests this worked before.

Comment 6 Kavita 2019-06-03 12:07:23 UTC
Created redmine issue https://projects.theforeman.org/issues/26936 from this bug

Comment 7 Bryan Kearney 2019-06-03 14:07:15 UTC
Upstream bug assigned to kgaikwad

Comment 8 Kavita 2019-07-05 05:29:29 UTC
*** Bug 1725686 has been marked as a duplicate of this bug. ***

Comment 10 Bryan Kearney 2019-08-26 10:07:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26936 has been resolved.

Comment 13 Peter Dragun 2019-09-02 11:17:03 UTC
Verified on Satellite 6.6 snap 18. Searching hosts by parameter works normally without error.

Comment 14 Bryan Kearney 2019-10-22 19:49:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172

Comment 15 Kavita 2020-04-30 12:17:33 UTC
@Anand,

Here, in this BZ mainly targeted for searching on the all hosts page.
And the solution of this BZ is available in some version. 

I can see that search by param value is present on other place including hostgroup page but different than host page.
And which needs to be fixed. So, I would suggest you to create new BZ and attach this case there for tracking purpose.

any thoughts on this?


Note You need to log in before you can comment on or make changes to this bug.